Package org.opensaml.saml.saml2.metadata.impl

# Class AttributeServiceBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<SAMLObjectType>
org.opensaml.saml.common.AbstractSAMLObjectBuilder<AttributeService>
org.opensaml.saml.saml2.metadata.impl.AttributeServiceBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<AttributeService>`, `SAMLObjectBuilder<AttributeService>`

public class AttributeServiceBuilder extends AbstractSAMLObjectBuilder<AttributeService>
Builder for `AttributeService`.

## Constructor Summary

Constructors
Constructor
Description
`AttributeServiceBuilder()`

## Method Summary

Modifier and Type
Method
Description
`AttributeService`
`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeService`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### AttributeServiceBuilder

public AttributeServiceBuilder()

## Method Details

### buildObject

@Nonnull public AttributeService buildObject()
Builds a SAMLObject using the default name and namespace information provided SAML specifications.

Specified by:
  `buildObject` in interface `SAMLObjectBuilder<AttributeService>`
Specified by:
  `buildObject` in class `AbstractSAMLObjectBuilder<AttributeService>`
Returns:
  built SAMLObject

### buildObject

@Nonnull public AttributeService buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<AttributeService>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<AttributeService>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject